Bug 863153 - About page - handle case where system can't access rpm
About page - handle case where system can't access rpm
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 10:34 EDT by David Davis
Modified: 2013-03-27 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-05 08:03:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Davis 2012-10-04 10:34:22 EDT
Description of problem:

If you go to the about page, the package information widget probably won't work. Show a user friendly message there. Also, you can service information (from candlepin, pulp, etc) through their APIs. That information may be nice to see even for rpm-based Katello installs.


Steps to Reproduce:
1. Install katello on non-rpm system
2. Go to about page
3. See packages widget
  

Actual results:

User friendly error and service (candlepin, pulp, etc) versions.


Expected results:

Unfriendly error.
Comment 2 Miroslav Suchý 2012-10-05 00:49:04 EDT
We do not support for non-rpm OS as base for Katello installation and there is no such plan in short/mid term.
Comment 3 David Davis 2012-10-05 07:43:55 EDT
Reopening under clearer context.

If you go to the about page, the package information widget probably won't work if the system can't access rpm for whatever reason. Show a user friendly message there. Also, you can service information (from candlepin, pulp, etc) through their APIs. That information may be nice to see even for rpm-based Katello installs.


Steps to Reproduce:
1. Setup katello so that it cannot access rpm or alter code to call some command that doesn't exist in Ping.packages.
2. Go to about page
3. See packages widget
  

Actual results:

User friendly error and service (candlepin, pulp, etc) versions.
Comment 4 David Davis 2012-10-05 07:44:41 EDT
Feel free to close again if we're not supporting the case where a Katello can't access rpm for whatever reason.
Comment 5 David Davis 2012-10-05 08:03:28 EDT
Talked with Mirek and we decided to close this.
Comment 6 Mike McCune 2012-10-05 10:36:18 EDT
this bug can be opened against Katello, but agreed that it doesn't make sense for CFSE

Note You need to log in before you can comment on or make changes to this bug.